using System;
class HelloWorld
{
    static void Main()
    {
        int n, q;
        string[] s1 = Console.ReadLine().Split();
        n = int.Parse(s1[0]);
        q = int.Parse(s1[1]);
        int i, j, k=0, h;
        int[] a;
        a = new int[100];
        int[] b;
        b = new int[100];
        for(i=0; i<n; i++)
        {
            var x = Console.ReadLine().Split();
            a[i] = int.Parse(x[i]);  //mzd ovde treba for ispod fora
        }
        Array.Sort(a);
        for(i=0; i<q; i++)
        {
            var y = Console.ReadLine().Split();
            b[i] = int.Parse(y[i]);  //mzd ovde treba for ispod fora
        }

        for(i=0; i<q; i++)
        {
            if(b[i]==a[n/2])
            {
                Console.WriteLine(0);
            }
            else
            {
                for(j=0; j<n; j++)
                {
                    if(b[i]==a[j])
                    {
                        k++;
                    }
                }
                if(k>0)
                {
                    for(h=1; h<n+2; h++)
                    {
                        if(b[i]==a[n/2])
                        {
                            Console.WriteLine(h);
                        }
                    }
                }
                else
                {
                    a[n]=b[i];
                    for(h=1; h<n+2; h++)
                    {
                        if(b[i]==a[n/2])
                        {
                            Console.WriteLine(h);
                        }
                    }
                }
            }
        }
    }
}